#
# spec file for package rrdtool (Version 1.2.30)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           rrdtool
BuildRequires:  freetype2-devel libart_lgpl-devel libpng-devel python-devel tcl-devel
License:        GPL v2 or later
Group:          Productivity/Scientific/Math
AutoReqProv:    on
Requires:       perl = %{perl_version}
Version:        1.2.30
Release:        75.12
Source:         %{name}-%{version}.tar.bz2
Source1:        cgilib-0.5.tar.bz2 
Patch:          %{name}-%{version}-ssize.diff 
Url:            http://oss.oetiker.ch/rrdtool/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A tool for data logging and analysis
Requires:       dejavu >= 2.21

%description
A tool to log and analyze data gathered from all kinds of data sources.
The data analysis part of RRDtool is based on the ability to quickly
generate graphical representations of the data values collected over a
definable time period.



Authors:
--------
    Tobias Oetiker <oetiker@ee.ethz.ch>

%prep
%setup -q -a1
%patch

%build
# first prepare cgilib
cd cgilib*
make CC=gcc CFLAGS="$RPM_OPT_FLAGS -fPIC -I."
mkdir -p ../lb/include
cp *.h ../lb/include
mkdir -p ../lb/lib
cp libcgi* ../lb/lib
cd ..
# build rrdtool
%{suse_update_config}
libtoolize --force
#autoreconf --force --install
aclocal --force
autoconf -f
automake -fca
CFLAGS="$RPM_OPT_FLAGS -fPIC" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-L`pwd`/lb/lib" CPPFLAGS="-I`pwd`/lb/include" \
./configure \
    --mandir=%{_mandir} \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --datadir=%{_datadir} \
    --infodir=%{_infodir} \
    --sysconfdir=%{_sysconfdir} \
    --enable-shared \
            --with-tcllib=%{_libdir} \
            --with-gnu-ld \
            --with-rrd-default-font=/usr/share/fonts/truetype/DejaVuSansMono.ttf
make %{?jobs:-j %jobs}

%install
#eval `perl -V:installarchlib`
make \
    DESTDIR=$RPM_BUILD_ROOT \
    idocdir=%{_docdir}/%{name}/txt/ \
    ihtmldir=%{_docdir}/%{name}/html/ \
    examplesdir=%{_docdir}/%{name}/examples/ \
    libdir=%{_libdir} \
    pkglibdir=%_datadir/tcl/tclrrd%version \
    TCL_PACKAGE_DIR=%_datadir/tcl/tclrrd%version \
    TCL_PACKAGE_PATH=%_datadir/tcl \
    install
# we install this later again
rm -r $RPM_BUILD_ROOT%{_prefix}/lib/perl
# do not install fonts (use system fonts instead)
rm -rf $RPM_BUILD_ROOT%_datadir/rrdtool/fonts
# install correctly perl modules
pushd bindings/perl-piped 
perl Makefile.PL
make DESTDIR=$RPM_BUILD_ROOT install_vendor
popd
pushd bindings/perl-shared 
perl Makefile.PL
make DESTDIR=$RPM_BUILD_ROOT install_vendor
popd
%perl_process_packlist
#fix build (it would be better to split cgilib)
sed 's/[[:space:]]*-L\/usr\/src\/packages\/BUILD\/%{name}-%{version}\/lb\/lib[[:space:]]*/ /' $RPM_BUILD_ROOT/%{_libdir}/librrd.la > tmp
mv tmp $RPM_BUILD_ROOT/%{_libdir}/librrd.la
sed 's/[[:space:]]*-L\/usr\/src\/packages\/BUILD\/%{name}-%{version}\/lb\/lib[[:space:]]*/ /' $RPM_BUILD_ROOT/%{_libdir}/librrd_th.la > tmp
mv tmp $RPM_BUILD_ROOT/%{_libdir}/librrd_th.la
# documentation
install -m 644 CHANGES CONTRIBUTORS COPYING COPYRIGHT README TODO $RPM_BUILD_ROOT/%{_docdir}/%{name}
# Script libraries for Tcl extensions should be in a package-specific
# subdir of /usr/share/tcl
mkdir -p $RPM_BUILD_ROOT/usr/share/tcl/tclrrd%{version}
#mv $RPM_BUILD_ROOT/usr/lib/tclrrd%{version}/pkgIndex.tcl \
#   $RPM_BUILD_ROOT/usr/share/tcl/tclrrd%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc %{_docdir}/rrdtool
%doc %{_mandir}/*/*
/usr/bin/*
%{_datadir}/tcl
%{_libdir}/librrd.so.*
%{_libdir}/librrd_th.so.*
%{_libdir}/tclrrd*.so
%{perl_vendorlib}/RRDp.pm
%{perl_vendorarch}/RRDs.pm
%{perl_vendorarch}/ntmake.pl
%{perl_vendorarch}/auto/*
/var/adm/perl-modules/rrdtool
%{_datadir}/%{name}

%package devel
Summary:        A tool for data logging and analysis - Development files
Group:          Productivity/Scientific/Math
Requires:       %name = %version

%description devel
A tool to log and analyze data gathered from all kinds of data sources.
The data analysis part of RRDtool is based on the ability to quickly
generate graphical representations of the data values collected over a
definable time period.



Authors:
--------
    Tobias Oetiker <oetiker@ee.ethz.ch>

%files devel
%defattr(-, root, root)
/usr/include/*
%{_libdir}/librrd_th.so
%{_libdir}/librrd.a
%{_libdir}/librrd.la
%{_libdir}/librrd.so
%{_libdir}/librrd_th.a
%{_libdir}/librrd_th.la

%package -n python-rrdtool
Summary:        Python bindings for rrdtool
Group:          Productivity/Scientific/Math
Requires:       %name = %version
%py_requires

%description -n python-rrdtool
A tool to log and analyze data gathered from all kinds of data sources.
The data analysis part of RRDtool is based on the ability to quickly
generate graphical representations of the data values collected over a
definable time period.

This package contains the Python bindings



Authors:
--------
    Tobias Oetiker <oetiker@ee.ethz.ch>

%files -n python-rrdtool
%defattr(-, root, root)
%{py_sitedir}/*

%changelog
* Tue Jan 20 2009 Carsten Schoene <cs@linux-administrator.com>
- update to version 1.2.30
  * TICK with negative numbers should 'start from the top of the graph' looking down ... now it does.
  * fix for segfault in rrd_cgi: caused by freeing a invalid address when printing an error message.
  

* Thu Jul 24 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 1.2.28
  * build fixes
  * add filename to illegal update message
  * rrdtool.fetch is returning an extra, bogus, data point. 
    Attached is a patch to correct this (#161)
  * The python bindings do not currently support retrieval of the rpn expression in COMPUTE data
    sources. Attached is a patch that duplicates functionality from
    rrd_info.c to expose the correct data source attributes via the
    python binding. It: * exposes the rpn expression in the 'cdef'
    element for DST_CDEF data source types * exposes the heartbeat,
    min, and max only to the other data source types
  * fix for ticket #121 jmpbuf on aix is a problem it seems, maybe this makes it better
  * fix for --font bug (font names wer not being picked up at all)
  * fliped order of rrd_context entries to match up with what was defined in rrd.h
  * make sure vdef calcs only calc as far as originally requested
  * Fixed handling of unknown data at PDP build time. There was a long
    standing (even documented) missfeature in rrdtool which caused
    uknown-data to be accepted as long as it was less than the mrhb.
    This was never the intended behaviour and had interesting side
    effects (http://oss.oetiker.ch/rrdtool-trac/ticket/125): If you
    have a 60 Second step with 59s unknown data and 1 second of known
    data the whole become known data as long as the mrhb was > step.
    The intended behaviour was that a step should become unknown as
    soon as it contains more than 50% of unknown data. The patch fixes
    both the documentation and the code.
  * make studio 11 happy http://www.netbsd.org/cgi-bin/query-pr-single.pl?number=38555
  * fixed 2. x-grid example ... since the lable is valid for the whole day, it must be 86400 wide
  * do not mess with dst status after running localtime, the system gets confused
    otherwhise when it comes to times during the switch over periode
    as DST changes to non DST
  * make out-of-tree builds possible for the examples directory too.
  * Ignore RRA-end when comparing. coverage.
  * added for for invalid number of ds entries
  * make ruby obej destdir
  * Generate a random cur_row for each RRA during create/restore operations. This effectively
    randomizes the block crossings among RRDs created around the same
    time. Previously, RRDs that were created/restored en masse would
    cross block boundaries simultaneously, which is sub-optimal. Also,
    this patch enables the user to see the RRA's cur_row pointer via
    rrdinfo. This was useful during debugging.

* Sun Feb 17 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 1.2.27
  * improve portability of compile environment to netbsd and solaris
  * fixedspellingfor netbsd
  * make update compile for mingw32 3.4.5
  * fixing the solaris build
  * weekday and time are too tight
  * fix rrdcgi warning
  * fix warnings in tcl bindings
  * added ZPL 2.1 to floss exception
 
* Wed Feb 13 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 1.2.26

* Mon Jan 14 2008 - dmueller@suse.de
- dejavu font was renamed back, adjust
* Wed Nov 28 2007 - dmueller@suse.de
- fix default font after dejavu font update
- add dejavu to the package requires
- build parallel
* Mon Jul 09 2007 - dmueller@suse.de
- apply python requires only to python-rrdtool subpackage
* Thu Jun 21 2007 - dmueller@suse.de
- split off python and -devel package to reduce
  size and make the python dependency optional
  (needed for 1 CD installer)
* Thu May 24 2007 - ro@suse.de
- added ldconfig to post scripts
* Wed May 09 2007 - anicka@suse.cz
- fix rpath in python module
* Fri May 04 2007 - anicka@suse.cz
- update to 2.1.23
  * many bugfixes (mostly python)
- remove stderr.diff and buffer.diff (fixed in upstream)
* Mon Jan 29 2007 - anicka@suse.cz
- update to 1.2.18
  * many bugfixes
  * DoS in rrd_graph.c fixed [#231212]
- fix overflow in rrd_tool.c
* Fri Jan 05 2007 - anicka@suse.cz
- fix librrd_th.la
- remove packaged fonts and use system fonts instead
- fix last patch
* Tue Jan 02 2007 - anicka@suse.cz
- fix memory allocation bug when graphing logarithmic data
  with upstream patch [#231212]
* Mon Sep 25 2006 - anicka@suse.cz
- use %%py_requires [#207920]
* Fri Sep 15 2006 - anicka@suse.cz
- store value returned with PyTuple_Size in
  Py_ssize_t instead of int
* Mon Jul 17 2006 - anicka@suse.cz
- update to 1.2.15
  * vnames can be up to MAX_VNAME_LEN long
  * bugfixes, documentation fixes
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 05 2006 - anicka@suse.cz
- update to 1.2.12
* Wed Dec 14 2005 - max@suse.de
- Fixed installation of the Tcl bindings.
* Tue Nov 01 2005 - anicka@suse.cz
- fix build - return proper value from strerror_r
* Wed Sep 21 2005 - anicka@suse.cz
- fix build
* Sun Jul 31 2005 - cthiel@suse.de
- moved pkgIndex.tcl to /usr/share/tcl/tclrrd
* Tue Jul 26 2005 - cthiel@suse.de
- update to 1.2.11
* Tue Jun 21 2005 - anicka@suse.cz
- update to 1.2.10
- drop no longer neccessary rrdtool-tcl.patch
* Thu May 19 2005 - mcihar@suse.cz
- update to 1.2.8
- reneabled tcl (copilation fixed by rrdtool-tcl.patch)
- added python bindings
* Tue May 10 2005 - mcihar@suse.cz
- update to 1.2.6
- dropped tcl for now, it's somewhat broken
* Mon Apr 18 2005 - mcihar@suse.de
- include correct config.h
* Wed Aug 11 2004 - tcrhak@suse.cz
- update to 1.0.49
* Fri Aug 06 2004 - tcrhak@suse.cz
- update to 1.0.48
* Thu Mar 04 2004 - tcrhak@suse.cz
- do not use its own (and old) libpng and libz
* Wed Feb 18 2004 - tcrhak@suse.cz
- update to version 1.0.46
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 - tcrhak@suse.cz
- removed %%{vendor_perl}/auto from filelist
* Mon Jul 28 2003 - tcrhak@suse.cz
- update to version 1.0.45
- fixed file list
- require perl
* Mon Jul 28 2003 - ro@suse.de
- install perl files to vendor location
* Fri May 23 2003 - ro@suse.de
- fix build with current libtool
* Sun Jan 12 2003 - tcrhak@suse.cz
- update to 1.0.40
* Tue Nov 19 2002 - ro@suse.de
- run full autoreconf and extend configure.in for that
* Fri Aug 09 2002 - mls@suse.de
- use sitearch macro
* Tue Jul 09 2002 - tcrhak@suse.cz
- update to version 1.0.39
* Mon Jun 03 2002 - ro@suse.de
- fix build on lib64 platforms
* Mon May 06 2002 - tcrhak@suse.cz
- omitted prefix i386-suse-linux from names of binaries
  and example scripts (bug #16105)
* Fri Feb 08 2002 - draht@suse.de
- added rrdtool-1.0.33-zlib-zfree.dif against duplicate free() in
  zlib
* Thu Jun 14 2001 - adostal@suse.cz
- fix for new autoconf (add libtoolize --force)
* Wed Apr 11 2001 - cihlar@suse.cz
- updated to version 1.0.33
* Mon Mar 19 2001 - cihlar@suse.cz
- fixed call of suse_update_config
* Fri Jan 26 2001 - cihlar@suse.cz
- package created
